FeatureFilter.ShadowContainedByLocation (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FeatureFilter.ShadowContainedByLocation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class FeatureFilter.ShadowContainedByLocation

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.ShadowContainedByLocation

All Implemented Interfaces:
  Serializable, FeatureFilter, OptimizableFilter

Enclosing interface:
  FeatureFilter

    public static final class FeatureFilter.ShadowContainedByLocation

extends Object
implements OptimizableFilter

A filter that accepts all features whose shadow is contained by a specified `Location`. The shadow is defined as the interval between the minimum and maximum positions of the feature's location. For features with contiguous locations, this filter is equivalent to `FeatureFilter.ContainedByLocation`.

Since:
  1.3
Author:
  Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter
`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.ShadowContainedByLocation(Location loc)` Creates a filter that returns everything contained within loc.

Method Summary
`boolean` | `accept(Feature f)` Returns true if the feature is within this filter's location.
`boolean` | `equals(Object o)`
`Location` | `getLocation()`
`int` | `hashCode()`
`boolean` | `isDisjoint(FeatureFilter filt)` Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters.
`boolean` | `isProperSubset(FeatureFilter sup)` Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureFilter.ShadowContainedByLocation

    public FeatureFilter.ShadowContainedByLocation(Location loc)

  Creates a filter that returns everything contained within loc.

  Parameters:
    `loc` - the location that will contain the accepted features

Method Detail

### getLocation

    public Location getLocation()

### accept

    public boolean accept(Feature f)

  Returns true if the feature is within this filter's location.

  Specified by:
    `accept` in interface `FeatureFilter`
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isProperSubset

    public boolean isProperSubset(FeatureFilter sup)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup. The empty filter is a proper subset of all filters. All filters are a proper subset of the all filter. All filters are proper subsets of themselves.

  Specified by:
    `isProperSubset` in interface `OptimizableFilter`
  Parameters:
    `sup` - the potential super set
  Returns:
    true if sup contains all features contained by this filter

### isDisjoint

    public boolean isDisjoint(FeatureFilter filt)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters. The empty filter is disjoint from all other filters. The all filter is disjoint from none.

  Specified by:
    `isDisjoint` in interface `OptimizableFilter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD